## MateMixerAppInfo

MateMixerAppInfo — Application information

## Functions

const gchar * | mate_mixer_app_info_get_name ()
const gchar * | mate_mixer_app_info_get_id ()
const gchar * | mate_mixer_app_info_get_version ()
const gchar * | mate_mixer_app_info_get_icon ()

## Types and Values

| MateMixerAppInfo

## Object Hierarchy

        GBoxed
        ╰── MateMixerAppInfo

## Includes

    #include <libmatemixer/matemixer.h>

## Description

The MateMixerAppInfo structure describes application properties.

See MateMixerStreamControl and the `mate_mixer_stream_control_get_app_info()` function for more information.

## Functions

### mate_mixer_app_info_get_name ()

    const gchar *
    mate_mixer_app_info_get_name (MateMixerAppInfo *info);

Gets the name of the application described by `info` .

#### Parameters

info | a MateMixerAppInfo |

#### Returns

name of the application or `NULL` if it is unknown.

### mate_mixer_app_info_get_id ()

    const gchar *
    mate_mixer_app_info_get_id (MateMixerAppInfo *info);

Gets the identifier of the application described by `info` (e.g. org.example.app).

#### Parameters

info | a MateMixerAppInfo |

#### Returns

identifier of the application or `NULL` if it is unknown.

### mate_mixer_app_info_get_version ()

    const gchar *
    mate_mixer_app_info_get_version (MateMixerAppInfo *info);

Gets the version of the application described by `info` .

#### Parameters

info | a MateMixerAppInfo |

#### Returns

version of the application or `NULL` if it is unknown.

### mate_mixer_app_info_get_icon ()

    const gchar *
    mate_mixer_app_info_get_icon (MateMixerAppInfo *info);

Gets the XDG icon name of the application described by `info` .

#### Parameters

info | a MateMixerAppInfo |

#### Returns

icon name of the application or `NULL` if it is unknown.

## Types and Values

### MateMixerAppInfo

    typedef struct _MateMixerAppInfo MateMixerAppInfo;

The MateMixerAppInfo structure contains only private data and should only be accessed using the provided API.

## See Also

MateMixerStreamControl